#include "FluxioSkillStatusUpdate.h"

#include "RobotAPI/libraries/skills/core/SkillStatusUpdate.h"
#include <RobotAPI/interface/skills/SkillManagerInterface.h>

namespace armarx
{
    namespace skills
    {
        manager::dto::FluxioSkillStatusUpdate
        FluxioSkillStatusUpdate::toManagerIce() const
        {
            manager::dto::FluxioSkillStatusUpdate ret;
            armarx::core::time::toIce(ret.timestamp, timestamp);
            ret.executionId = executionId;
            ret.subSkillNodeId = {.id = subSkillNodeId, .hint = ""};
            toIce(ret.status, status);
            return ret;
        }
    } // namespace skills
} // namespace armarx
