#pragma once

#include "RobotAPI/libraries/skills/core/SkillStatusUpdate.h"
#include <RobotAPI/interface/skills/SkillManagerInterface.h>

namespace armarx
{
    namespace skills
    {
        struct FluxioSkillStatusUpdate
        {
            armarx::core::time::DateTime timestamp;
            std::string executionId;
            std::string subSkillNodeId;
            SkillStatus status;
            // TODO: add name field for debugging

            manager::dto::FluxioSkillStatusUpdate toManagerIce() const;
        };
    } // namespace skills
} // namespace armarx
