#pragma once

#include <RobotAPI/interface/skills/SkillManagerInterface.h>
#include <RobotAPI/libraries/skills/core/aron/FluxioTypeIdentificator.aron.generated.h>

namespace armarx
{
    namespace skills
    {
        struct FluxioTypeIdentificator
        {

            std::string skillId;
            std::string parameterId;

            manager::dto::FluxioTypeIdentificator toManagerIce() const;
            manager::arondto::FluxioTypeIdentificator toAron() const;

            static FluxioTypeIdentificator FromIce(const manager::dto::FluxioTypeIdentificator& i);
            static FluxioTypeIdentificator FromAron(const manager::arondto::FluxioTypeIdentificator& i);
        };
    } // namespace skills
} // namespace armarx
